X2Go Bug report logs - #331
Default umask when mounting sshfs tunnel

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Helmer Teles <helmer.teles@mykolab.com>

Date: Wed, 23 Oct 2013 13:03:01 UTC

Severity: normal

Tags: pending

Found in version 4.0.1.6-0~712~precise1

Fixed in version 4.0.1.7

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#331; Package x2goserver. (Wed, 23 Oct 2013 13:03:01 GMT) (full text, mbox, link).


Acknowledgement sent to Helmer Teles <helmer.teles@mykolab.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 23 Oct 2013 13:03:01 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Helmer Teles <helmer.teles@mykolab.com>
To: submit@bugs.x2go.org
Subject: Default umask when mounting sshfs tunnel
Date: Wed, 23 Oct 2013 13:44:47 +0100
[Message part 1 (text/plain, inline)]
Package: x2goserver
Version: 4.0.1.6-0~712~precise1
Tag: Patch

Hello dear mates.


Just had a problem that when a user moves or copy a file from the mounted sshfs dir to 
a shared directory on the x2goserver, if this is a shared folder for a group with 
respective ACL's we've got a problem with the final permissions. 


The easy way to solve this is to change the x2gomountdirs to include the umask param. 


Also included is the modification required at /etc/x2goserver.conf 
If stay uncommented the umask will stay as is on the server side ( client local computer 
) and the value provided ( 0117 ) will make all files to be with rw-rw---- 


P.S: As i don't have the original x2goserver.conf don't apply the diff as is, but use it as 
reference please. 


the diff's are attached as Mr. Michael kindly asked.


Best regards,


--
Com os melhores cumprimentos. 
Helmer Teles 

http://hteles.wordpress.com[1]

"Sent from my Linux Device"
Please don't send me proprietary file formats, use ISO standard ODF instead (ISO/IEC 
26300) 



--------
[1] http://hteles.wordpress.com/
[Message part 2 (text/html, inline)]
[x2gomountdirs.patch (application/octet-stream, attachment)]
[x2goserver.conf.patch (application/octet-stream, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#331; Package x2goserver. (Thu, 24 Oct 2013 07:03:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 24 Oct 2013 07:03:01 GMT) (full text, mbox, link).


Message #10 received at 331@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 331-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 331@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Thu, 24 Oct 2013 09:00:36 +0200 (CEST)
tag #331 pending
fixed #331 4.0.1.7
thanks

Hello,

X2Go issue #331 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=c3be1cd

The issue will most likely be fixed in src:x2goserver (4.0.1.7).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit c3be1cdb1145b0d6ebdc27f0aa1c2b8564f0000b
Author: Helmer Teles <helmer.teles@mykolab.com>
Date:   Thu Oct 24 08:59:26 2013 +0200

    Make umask that is used when mounting client-side folders via SSHFS configurable in x2goserver.conf. (Fixes: #331).

diff --git a/debian/changelog b/debian/changelog
index 46354a8..d40a494 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -24,6 +24,11 @@ x2goserver (4.0.1.7-0~x2go1) UNRELEASED; urgency=low
     - Move xfonts-base from Recommends: field to Depends: field (bin:package
       x2goserver).
 
+  [ Helmer Teles ]
+  * New upstream version (4.0.1.7):
+    - Make umask that is used when mounting client-side folders via SSHFS
+      configurable in x2goserver.conf. (Fixes: #331).
+
   [ Jürgen Hötzel ]
   * New upstream version (4.0.1.7):
     - Use bash-builtin 'type' instead of to be avoided 'which'. (Fixes: #305).


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 24 Oct 2013 07:03:02 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.1.7. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 24 Oct 2013 07:03:02 GMT) (full text, mbox, link).


Message sent on to Helmer Teles <helmer.teles@mykolab.com>:
Bug#331. (Thu, 24 Oct 2013 07:03:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#331; Package x2goserver. (Fri, 22 Nov 2013 21:03:03 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 22 Nov 2013 21:03:03 GMT) (full text, mbox, link).


Message #22 received at 331@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 331-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 331@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as closed
Date: Fri, 22 Nov 2013 21:59:27 +0100 (CET)
close #331
thanks

Hello,

we are very hopeful that X2Go issue #331 reported by you
has been resolved in the new release (4.0.1.7) of the
X2Go source project »src:x2goserver«.

You can view the complete changelog entry of src:x2goserver (4.0.1.7)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goserver.

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=447e68e8b82ea4b14e5072e57a0fbc82ef32d687;hp=2d19587c215d49048b6295d87c06c452939a1b8b

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goserver.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goserver
Version: 4.0.1.7
Status: RELEASE
Date: Fri, 22 Nov 2013 21:58:27 +0100
Fixes: 276 278 285 305 310 331
Changes: 
 x2goserver (4.0.1.7) RELEASED; urgency=low
 .
   [ Orion Poplawski ]
   * New upstream version (4.0.1.7):
     - Install Xsession file as executable, make Xsession.d directory location
       configurable during build process, do not create unused Xsession.options.
       (Fixes: #278).
 .
   [ Mike Gabriel ]
   * New upstream version (4.0.1.7):
     - Fine-tune x2goserver-xsession/Makefile: if /etc/X11 has Xsession.d and/or
       Xsession.options they get symlinked into /etc/x2go. Otherwise Xsession.d
       and Xsession.options are created under /etc/x2go as empty dir/file.
       (Fixes: #278).
     - Fix automatic keyboard setup (via x2gosetkeyboard) while resuming a
       session. (Fixes: #285).
     - Provide sudoers.d/x2goserver file that allows sudoed commands under
       KDE (by pertaining the env var QT_GRAPHICSSYSTEM. (Fixes: #276).
     - With PostgreSQL as session db backend, prevent the root user from
       launching sessions. Also, prevent x2gouser_root from being added as a
       PostgreSQL user. (Fixes: #310).
     - Execute DB status changes as late as possible during suspend / terminate.
     - Start/resume rootless sessions without geometry parameter. Esp. using
       X2GO_GEOMETRY=fullscreen for rootless sessions lead to an extra 1x1 px
       session window (nxagentCreateIconWindow in nxagent's Window.c).
     - Typo fix in x2goruncommand (for MATE session startup).
   * debian/control:
     + Update LONG_DESCRIPTIONS.
     + Raise Standards: to 3.9.4 (no changes needed).
     + Move xfonts-base to Recommends: field of bin:package x2goserver.
   * debian/x2goserver.init:
     + Make init script LSB compliant.
 .
   [ Helmer Teles ]
   * New upstream version (4.0.1.7):
     - Make umask that is used when mounting client-side folders via SSHFS
       configurable in x2goserver.conf. (Fixes: #331).
 .
   [ Jürgen Hötzel ]
   * New upstream version (4.0.1.7):
     - Use bash-builtin 'type' instead of to be avoided 'which'. (Fixes: #305).
 .
   [ Oleksandr Shneyder ]
   * New upstream version (4.0.0.6):
     - Fix x2goruncommand: "type -P $cmd" can create new lines in EXEC
       variable if command have the arguments wich have same names as existing
       commands, for example "rdesktop -k nl" -> "/usr/bin/rdesktop\n/usr/bin/nl".
       Now we splitting $cmd and taking only first part.


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 22 Nov 2013 21:03:04 GMT) (full text, mbox, link).


Notification sent to Helmer Teles <helmer.teles@mykolab.com>:
Bug acknowledged by developer. (Fri, 22 Nov 2013 21:03:04 GMT) (full text, mbox, link).


Message sent on to Helmer Teles <helmer.teles@mykolab.com>:
Bug#331. (Fri, 22 Nov 2013 21:03:08 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sat, 21 Dec 2013 06:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sun Dec 8 13:39:19 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.